Classes | Namespaces | Typedefs | Enumerations
LRFTypes.h File Reference
`#include <deque>`
`#include <map>`
`#include <string>`
`#include <boost/optional.hpp>`

Go to the source code of this file.

## Classes
struct | libebook::LRFBookInfo
struct | libebook::LRFDocInfo
struct | libebook::LRFMetadata
struct | libebook::LRFColor
struct | libebook::LRFEmptyLine
struct | libebook::LRFAttributes

## Namespaces
| libebook

## Typedefs
typedef std::map< unsigned, LRFAttributes > | libebook::LRFAttributeMap_t

## Enumerations
enum | libebook::LRFImageType { libebook::LRF_IMAGE_TYPE_UNKNOWN = 0, libebook::LRF_IMAGE_TYPE_JPEG = 0x11, libebook::LRF_IMAGE_TYPE_PNG = 0x12, libebook::LRF_IMAGE_TYPE_BMP = 0x13, libebook::LRF_IMAGE_TYPE_GIF = 0x14 }
enum | libebook::LRFEmptyLinePosition { libebook::LRF_EMPTY_LINE_POSITION_UNKNOWN, libebook::LRF_EMPTY_LINE_POSITION_BEFORE, libebook::LRF_EMPTY_LINE_POSITION_AFTER }
enum | libebook::LRFEmptyLineMode { libebook::LRF_EMPTY_LINE_MODE_NONE, libebook::LRF_EMPTY_LINE_MODE_SOLID, libebook::LRF_EMPTY_LINE_MODE_DASHED, libebook::LRF_EMPTY_LINE_MODE_DOUBLE, libebook::LRF_EMPTY_LINE_MODE_DOTTED }
enum | libebook::LRFAlign { libebook::LRF_ALIGN_START, libebook::LRF_ALIGN_END, libebook::LRF_ALIGN_CENTER }